.App {
  text-align: center;
}

.App-logo {
  animation: App-logo-spin infinite 20s linear;
  height: 40vmin;
  pointer-events: none;
}

.App-header {
  height: 100%;
  width:100%;
  margin: 0;
  display: block;
  flex-direction: column;
  background-color: #ffffff;
}
.shareform {
  height: fit-content;
  width: fit-content;
  margin: auto;
  margin-top: 20px;
  padding: 20px;
  border: 1px solid #eee;
  border-radius: 10px;
  display: block;
  flex-direction: column;
  background-color: #ffffff;
  justify-content: center;
  align-items: center;
  box-shadow: 0 5px 8px 0 rgba(0,0,0,0.2), 0 7px 20px 0 rgba(0,0,0,0.17);
}

.shareform button[type="submit"]{
  border-radius: 10px;
  color: white;
  width: 65px;
  height: 35px;
  background: rgb(28, 156, 28);
}

.shareform button[type='submit']:hover{
  background: rgb(34, 226, 34);
  transition: 0.5s ease-in-out ;
}

p{
    display: flex;
    overflow: hidden;
}
p >* {
  margin: 5px;
  padding: 5px;
}
.App-link {
  color: #61dafb;
}

button {
  color: #212529;
  margin: 3px;
  background-color: transparent;
  border: 2px solid transparent;
  border-color: #f8f9fa;
}
button:active{
  border: 1px solid black;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

input {
  outline: 0;
  margin: 2px;
  padding: 2px;
  background: rgb(252, 251, 251);
  border-radius: 5px;
  border: 0;
  border-bottom: 1px solid rgb(189, 187, 187);
}
input:focus{
  border-bottom: 2px solid #29b5ca;
}

select{
  margin-right:5px;
  padding: 2px;
  max-width: 70px;
  background: rgb(252, 252, 252);
  border-radius: 5px;
  border: 0;
  border-bottom: 1px solid rgb(189, 187, 187);
}

.modal-wrapper {
  background: #fdfdfd;
  border-radius: 10px;
  box-shadow: 0 5px 8px 0 rgba(0,0,0,0.2), 0 7px 20px 0 rgba(0,0,0,0.17);
  margin: 100px auto 0;
  transition: 2s ease-in-out ;
  width: auto; 
  max-width: 630px; 
  left: 50%;
  top: 35%;
  transform: translate(-50%,-50%);
  padding: 10px;
  padding-top: 5px;
  position: absolute;
}

.modal-header {
  height: 40px;
  line-height: 40px;
  padding: 5px 20px;
}

.modal-body {
  padding: 10px 5px;
}

.withSidebar {
  width: calc(100% - 250px);
  float: right;
  border-left: 1px solid  #eee;
  transition: all;
}

.sidebar {
  margin-left: 15px;
  height: 100%;
  font-size: 100%;
}

.sidebar .icon:hover{
  transform: scale(1.5);
  color: green;
  transition: 0.4s ease-in-out;
}
.sidebar .cal {
  display: block;
  border-radius: 50px;
  height: 30px;
  margin-bottom: 5px;
}
.sidebar .cal .icon{
  opacity: 0;
  padding: 0;
}

.cal input[type="checkbox"] {
  width: 20px;
  height: 20px;
  margin-right: 5px;
}

.cal input[type="checkbox"]:checked:after{
  content: ' ✔ ';
  background-color: inherit;
  border-radius: 5px;
  padding-right: 4px;
  padding-left: 4px;
}

.sidebar .cal:hover, .sidebar .cal:hover .icon{
  opacity: 0.8;
  color: black;
  transform: scale(1);
}
.event{  
  position: absolute;
  color: white;
  font-weight: 600;
  width: 200px;
  z-index: 200;
  padding-left: 5px;
  height: 25px;
  border-radius: 7px;
  border: 0.7px solid #eee;
}

.event:hover{
  transform: scale(1.15);
  z-index:500;
}

.login{
  margin-left: auto;
  display: flex;
  flex-direction: column;
  margin-right: auto;
  align-items: center;
  justify-content: center;
  padding: 20px;
  margin-top: 50px;
  width: fit-content;
  border: 0.5px solid rgb(204, 203, 203);
  border-radius: 1%;
}

.login input, select{
  margin-top: 0px;
  margin-left: 5px;
  padding: 0px;
}